al_register_trace_handler(3)

NAME

al_register_trace_handler - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_register_trace_handler(void (*handler)(char const *))

DESCRIPTION

Register a callback which is called whenever Allegro writes something to its log files. The default logging to allegro.log is disabled while this callback is active. Pass NULL to revert to the default logging.

This function may be called prior to al_install_system.

See the example allegro5.cfg for documentation on how to configure the used debug channels, logging levels and trace format.

SINCE

5.1.5